import type { App } from "vue";
import DialogAction from "./utils/DialogAction";
import PageAction from "./utils/PageAction";
import CommonRootVue  from "./dialog/CommonRoot.vue";
import CommonRoot from "./dialog/CommonRoot";



export default { 
  install(app: App, options?: {}) {
    app.component('NaCommonRoot', CommonRootVue);
    DialogAction.install(app);
    PageAction.install(app);
    CommonRoot.install(app);
  },
}